Bug 163161 - Adding ICC profiles confuses digikam
Summary: Adding ICC profiles confuses digikam
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: ColorManagement-Profiles (show other bugs)
Version: 0.9.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-03 21:24 UTC by Dik Takken
Modified: 2022-02-01 11:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dik Takken 2008-06-03 21:24:03 UTC
Version:           0.9.4-beta4 (using KDE 3.5.8)
OS:                Linux

When you add new ICC profiles to the profile directory, digikam silently decides to use different ICC profiles for just about everything.

It looks like Digikam remembers ICC profiles like "the third file in the ICC directory" in stead of "the sRGB profile". When files are added to or removed from the directory, everything gets mixed up.
Comment 1 Elle Stone 2008-06-04 22:39:26 UTC
I would like to confirm this bug for digikam 0.9.4-beta5 using kde 3.5.9 on debian lenny 64-bit.

Under "Digikam, Settings, Configure digikam, Image Editor Color Management Settings":
"Enable Color Management" is checked.
The "Color Profiles Directory" is set to /usr/share/color/icc.
Under "ICC Profiles Settings", "Use color managed view" is checked.
"Monitor" is set to sRGB.
"Workspace" set to linear Prophoto.

Upon closing digikam, removing some unused profiles and adding a few new profiles to /usr/share/color/icc:

"Monitor" has been reset to "myProPhote RGB" (a very inappropriate monitor profile) and "Workspace" is set to ECI-RGB.icc.  The "Input" and "Soft proof" profiles did not change.

So I set the monitor profile back to sRGB and the workspace to linear Prophoto.  Upon closing digikam and removing a couple more profiles (NOT the ones selected in digikam, fwiw), and then reopening digikam and checking the color management settings, now the Monitor profile is "Adobe RGB", the workspace profile is still "linear prophoto", but this time the input profile has changed.

Even weirder, if I click on the "Info" button next to the four "ICC Profiles Settings," the "Monitor, AdobeRGB" Info button says the profile is sRGB, as does the "Workspace linear prophoto" info button.

It gets weirder.  I went through the whole procedure a third time.  And yet again the monitor and workspace profiles  got changed, and the "info" button says "srgb" for both profiles.  But this time it is a different srgb variant.  The first time, the particular srgb was the old hewlett packard srgb.  This time it's a canon variant of srgb.  Which is exceedingly weird, as the ****only**** srgb profile in /usr/share/color/icc is in fact the old hewlett packard copyrighted srgb from 1998.  Canon's srgb has a different copyright.  
Comment 2 Marcel Wiesweg 2009-08-20 22:52:17 UTC
Profiles were indeed stored by index in the combo box. 
This is fixed now, profiles are stored by file path.